Package ghidra.app.util.bin.format.macho.commands

# Class BuildVersionCommand

java.lang.Object
ghidra.app.util.bin.format.macho.commands.LoadCommand
ghidra.app.util.bin.format.macho.commands.BuildVersionCommand

All Implemented Interfaces:
  `StructConverter`

public class BuildVersionCommand extends LoadCommand
Represents a build_version_command structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `BuildVersionCommand.BuildToolVersion`

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCommandName()`
  Gets the name of this load command
  `int`
  `getMinOS()`
  `int`
  `getNumTools()`
  `int`
  `getPlatform()`
  `int`
  `getSdk()`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class ghidra.app.util.bin.format.macho.commands.LoadCommand

  `createFragment, createPlateComment, fileOffsetToAddress, getCommandSize, getCommandType, getContextualName, getLinkerDataOffset, getLinkerDataSize, getStartIndex, markup, markupPlateComment, markupRawBinary, setEndian, updateMonitor`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException`
    See Also:
      - `StructureDataType`

  - ### getCommandName

    public String getCommandName()
    Description copied from class: `LoadCommand`
    Gets the name of this load command
    Specified by:
      `getCommandName` in class `LoadCommand`
    Returns:
      The name of this load command

  - ### getPlatform

    public int getPlatform()

  - ### getMinOS

    public int getMinOS()

  - ### getSdk

    public int getSdk()

  - ### getNumTools

    public int getNumTools()